function pdemodel
[pde_fig,ax]=pdeinit;
pdetool('appl_cb',1);
set(ax,'DataAspectRatio',[1 1.5 1]);
set(ax,'PlotBoxAspectRatio',[1 0.66666666666666663 1]);
set(ax,'XLim',[-0.5 1.5]);
set(ax,'YLim',[-0.5 1.5]);
set(ax,'XTickMode','auto');
set(ax,'YTickMode','auto');
pdetool('gridon','on');

% Geometry description:
pderect([0 1 0 1],'R1');
set(findobj(get(pde_fig,'Children'),'Tag','PDEEval'),'String','R1')

% Boundary conditions:
pdetool('changemode',0)
pdesetbd(4,...
'neu',...
1,...
'0',...
'-y')
pdesetbd(3,...
'neu',...
1,...
'0',...
'x-2')
pdesetbd(2,...
'neu',...
1,...
'0',...
'2+y')
pdesetbd(1,...
'dir',...
1,...
'1',...
'x.*x+exp(-3*t)')

% Mesh generation:
setappdata(pde_fig,'Hgrad',1.3);
setappdata(pde_fig,'refinemethod','regular');
setappdata(pde_fig,'jiggle',char('on','mean',''));
pdetool('initmesh')
pdetool('refine')

% PDE coefficients:
pdeseteq(2,...
'1.0',...
'0.0',...
'-3*exp(-3*t)',...
'1.0',...
'0:10',...
'x.*x+x.*y-y.*y+1',...
'0.0',...
'[0 100]')
setappdata(pde_fig,'currparam',...
['1.0         ';...
'0.0         ';...
'-3*exp(-3*t)';...
'1.0         '])

% Solve parameters:
setappdata(pde_fig,'solveparam',...
str2mat('0','1968','10','pdeadworst',...
'0.5','longest','0','1E-4','','fixed','Inf'))

% Plotflags and user data strings:
setappdata(pde_fig,'plotflags',[1 1 1 1 1 1 1 1 0 0 0 51 1 0 0 0 0 1]);
setappdata(pde_fig,'colstring','');
setappdata(pde_fig,'arrowstring','');
setappdata(pde_fig,'deformstring','');
setappdata(pde_fig,'heightstring','');
